Bug 1203750 - when installed on SW raid, partition for stage 2 is always 0x80
Summary: when installed on SW raid, partition for stage 2 is always 0x80
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda
Version: 6.6
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Brian Lane
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks: 1172231 1269957
TreeView+ depends on / blocked
 
Reported: 2015-03-19 15:28 UTC by Lukas Herbolt
Modified: 2019-08-15 04:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-13 18:45:53 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Lukas Herbolt 2015-03-19 15:28:41 UTC
Description of problem:
when installed on SW raid partition for stage 2 is always 0x80 which lead to first disk reported by bios

Version-Release number of selected component (if applicable):
RHEL 6.6 

How reproducible:
100%

/boot -> md0 
/     -> md1 


Personalities : [raid1] 
md0 : active raid1 vdb1[1] vda1[0]
      204736 blocks super 1.0 [2/2] [UU]
      
md1 : active raid1 vdb2[1] vda2[0]
      9412480 blocks super 1.1 [2/2] [UU]
      bitmap: 1/1 pages [4KB], 65536KB chunk

[root@rhel6-test ~]# file -sL /dev/vda
/dev/vda: x86 boot sector; GRand Unified Bootloader, stage1 version 0x3, boot drive 0x80, 1st sector stage2 0x8176, GRUB version 0.94; partition 1: ID=0xfd, active, starthead 32, startsector 2048, 409600 sectors; partition 2: ID=0xfd, starthead 159, startsector 411648, 18841600 sectors; partition 3: ID=0x82, starthead 254, startsector 19253248, 1718272 sectors, code offset 0x48
[root@rhel6-test ~]# file -sL /dev/vdb
/dev/vdb: x86 boot sector; GRand Unified Bootloader, stage1 version 0x3, boot drive 0x80, 1st sector stage2 0x8176, GRUB version 0.94; partition 1: ID=0xfd, active, starthead 32, startsector 2048, 409600 sectors; partition 2: ID=0xfd, starthead 159, startsector 411648, 18841600 sectors; partition 3: ID=0x82, starthead 254, startsector 19253248, 1718272 sectors, code offset 0x48


Steps to Reproduce:
1. install RHEL on SW raid
2. check the boot device with fdisk -sL  

Actual results:
vda: boot drive 0x80
vdb: boot drive 0x80

Expected results:
I am not sure but each disk should lead to itself so it could be like 

vda: boot drive 0x80
vdb: boot drive 0x81

Additional info:

Comment 2 Brian Lane 2015-03-24 23:47:53 UTC
I think this is correct. If vda is pulled from the array you want it to boot from vdb without any manual intervention.

Comment 3 Lukas Herbolt 2015-04-22 11:12:15 UTC
Ok, agreed but if you boot from the second disc and the first is still present, is second disk referred as 0x80 or as 0x81 in bios.

Comment 4 Brian Lane 2016-01-13 18:45:53 UTC
That may depend on the bios, but I'd expect 0x80.


Note You need to log in before you can comment on or make changes to this bug.